LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XDataSource Interface Reference

provides access to sequences of data. More...

`import "XDataSource.idl";`

Inheritance diagram for XDataSource:

## Public Member Functions
sequence< XLabeledDataSequence > | getDataSequences ()
| returns data sequences.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides access to sequences of data.

With this interface data can only be read from.

If the data stored consists only of floating point numbers (double values), the returned instances should also support the service NumericalDataSequence.

If the data stored consists only of strings, the returned instances should also support the service TextualDataSequence.

## Member Function Documentation

## ◆ getDataSequences()

sequence< XLabeledDataSequence > getDataSequences | ( |  | ) |

returns data sequences.

Returns
  a sequence of objects that support at least the service DataSequence.

If the data stored consist only of floating point numbers (double values), the returned instances should also support the service NumericalDataSequence.

If the data stored consist only of strings, the returned instances should also support the service TextualDataSequence.

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/data/XDataSource.idl